package huone;


/**
 * Asunto-tehtvn vastaukset
 * @author Vesa Lappalainen
 * @version 1.0, 25.02.2003
 */
public class Asunto2 {

  private Huone2 olohuone;
  private Huone2 makuuhuone;

  public Asunto2() {
    olohuone = new Huone2("huone",2,2,2,0);
    makuuhuone = new Huone2("huone",2,2,2,0);
  }
  public Asunto2(Huone2 h1,Huone2 h2) { olohuone = h1; makuuhuone = h2;}

  public double ala()      { return olohuone.ala()+makuuhuone.ala();          }
  public double tilavuus() { return olohuone.tilavuus()+makuuhuone.tilavuus();}
  public int getKaappeja() { return olohuone.getKaappeja()+makuuhuone.getKaappeja();}
  public void kaapitPois() { olohuone.kaapitPois(); makuuhuone.kaapitPois(); }
  public void lisaaKaappeja() {
    Huone2 huone = olohuone;
    if ( makuuhuone.getKaappeja() < olohuone.getKaappeja() )
      huone = makuuhuone;
    huone.lisaaKaappeja();
  }

  /**
   * @return palautetaan asunnon tiedot merkkijonona usealla rivill.
   */
  public String toString() {
    return "Asunto:\n" +
            olohuone.toString() + "\n" +
            makuuhuone.toString() + "\n" +
            Huone2.muotoile("yhteens",ala(),tilavuus(),getKaappeja());
  }

  
  /**
   * Testataan Asunto2-luokkaa 
   * @param args Ei kytss
   */  
  public static void main(String[] args)  {
    Asunto2 kaksio = new Asunto2(new Huone2("olohuone",3,4,2,0),
                                 new Huone2("makuuhuone",3,3,2,0));
    System.out.println(kaksio+"\n");
    for (int i=0; i<5; i++)
      kaksio.lisaaKaappeja();
    System.out.println(kaksio+"\n");
  }
}
