assert.h
===========
 assert

ctype.h
===========
 _ftolower   _ftoupper   isalnum     isalpha     isascii     iscntrl
 isdigit     isgraph     islower     isprint     ispunct     isspace
 isupper     isxdigit    toascii     tolower     toupper

 _IS_CTL     _IS_DIG     _IS_HEX     _IS_LOW     _IS_PUN     _IS_SP
 _IS_UPP

errno.h
===========
_doserrno   errno       _sys_nerr   error number definitions

float.h
===========
 _clear87     _fpreset     _control87   _status87

 CW_DEFAULT         FPE_EXPLICITGEN    FPE_INEXACT        FPE_INTDIV0
 FPE_INTOVFLOW      FPE_INVALID        FPE_OVERFLOW       FPE_UNDERFLOW
 FPE_ZERODIVIDE     ILL_EXECUTION      ILL_EXPLICITGEN    SEGV_BOUND
 SEGV_EXPLICITGEN

limits.h
===========
 CHAR_BIT    CHAR_MAX    CHAR_MIN    INT_MAX     INT_MIN     LONG_MAX
 LONG_MIN    SCHAR_MAX   SCHAR_MIN   SHRT_MAX    SHRT_MIN    UCHAR_MAX
 UINT_MAX    ULONG_MAX   USHRT_MAX

locale.h
===========
 localeconv       setlocale

 __cplusplus      LC_ALL           LC_COLLATE       LC_CTYPE
 LC_MONETARY      LC_NUMERIC       LC_TIME          lconv (struct)
 NULL

math.h
===========
 abs                    acos,    acosl         asin,    asinl
 atan,    atanl         atan2,   atan2l        atof,    _atold
 cabs,    cabsl         ceil,    ceill         cos,     cosl
 cosh,    coshl         exp,     expl          fabs,    fabsl
 floor,   floorl        fmod,    fmodl         frexp,   frexpl
 hypot,   hypotl        labs                   ldexp,   ldexpl
 log,     logl          log10,   log101        matherr, _matherrl
 modf,    modfl         poly,    polyl         pow,     powl
 pow10,   pow10l        sin,     sinl          sinh,    sinhl
 sqrt,    sqrtl         tan,     tanl          tanh,    tanhl

 complex (struct)       _complexl (struct)     EDOM
 ERANGE                 exception (struct)     _exceptionl (struct)
 HUGE_VAL               M_E                    M_LOG2E
 M_LOG10E               M_LN2                  M_LN10
 M_PI                   M_PI_2                 M_PI_4
 M_1_PI                 M_2_PI                 M_1_SQRTPI
 M_2_SQRTPI             M_SQRT2                M_SQRT_2
 _mexcep

setjmp.h
===========
 longjmp   setjmp

 jmp_buf

signal.h
===========
 raise     signal

 predefined signal handlers   sig_atomic_t type

 SIG_DFL   SIG_ERR   SIG_ING   SIGABRT   SIGFPE    SIGILL    SIGINT
 SIGSEGV   SIGTERM

stdarg.h
===========
 va_arg     va_end     va_start

 va_list

stddef.h
===========
 NULL        ptrdiff_t   size_t      wchar_t

stdio.h
===========
 clearerr    fclose      fcloseall   fdopen      feof        ferror
 fflush      fgetc       fgetchar    fgetpos     fgets       fileno
 flushall    fopen       fprintf     fputc       fputchar    fputs
 fread       freopen     fscanf      fseek       fsetpos     ftell
 fwrite      getc        getchar     gets        getw        perror
 printf      putc        putchar     puts        putw        remove
 rename      rewind      rmtmp       scanf       setbuf      setvbuf
 sprintf     sscanf      strerror    _strerror   tempnam     tmpfile
 tmpnam      ungetc      unlink      vfprintf    vfscanf     vprintf
 vscanf      vsprintf    vsscanf

 buffering modes     BUFSIZ              EOF
 _F_BIN              _F_BUF              _F_EOF
 _F_ERR              _F_IN               _F_LBUF
 _F_OUT              _F_RDWR             _F_READ
 _F_TERM             _F_WRIT             FILE

 FOPEN_MAX

 fpos_t              fseek/lseek modes   _IOFBF
 _IOLBF              _IONBF              L_ctermid
 L_tmpnam            NULL                SEEK_CUR
 SEEK_END            SEEK_SET            size_t
 stdaux              stderr              stdin
 stdout              stdprn              SYS_OPEN
 TMP_MAX

stdlib.h
===========
 abort          abs            atexit         atof           atoi
 atol           bsearch        calloc         div            ecvt
 exit           _exit          fcvt           free           _fullpath
 gcvt           getenv         itoa           labs           ldiv
 lfind          _lrotl         _lrotr         lsearch        ltoa
 _makepath      malloc         max            mblen          mbtowc
 mbstowcs       min            putenv         qsort          rand
 random         randomize      realloc        _rotl          _rotr
 _searchenv     _splitpath     srand          strtod         strtol
 _strtold       strtoul        swab           system         time
 ultoa          wctomb         wcstombs

 div_t          _doserrno      environ        errno          EXIT_FAILURE
 EXIT_SUCCESS   _fmode         ldiv_t         NULL           _osmajor
 _osminor       _psp           RAND_MAX       size_t         sys_errlist
 sys_nerr       _version       wchar_t

string.h
===========
 _fmemccpy    _fmemchr     _fmemcmp     _fmemcpy     _fmemicmp
 _fmemset     _fstrcat     _fstrchr     _fstrcmp     _fstrcpy
 _fstrcspn    _fstrdup     _fstricmp    _fstrlen     _fstrlwr
 _fstrncat    _fstrncmp    _fstrnicmp   _fstrncpy    _fstrnset
 _fstrpbrk    _fstrrchr    _fstrrev     _fstrset     _fstrspn
 _fstrstr     _fstrtok     _fstrupr     memccpy      memchr
 memcmp       memcpy       memicmp      memmove      memset
 movedata     movmem       setmem       stpcpy       strcat
 strchr       strcmp       strcmpi      strcpy       strcspn
 strdup       _strerror    strerror     stricmp      strlen
 strlwr       strncat      strncmp      strncmpi     strncpy
 strnicmp     strnset      strpbrk      strrchr      strrev
 strset       strspn       strstr       strtok       strxfrm
 strupr

 size_t

time.h
===========
 asctime     clock       ctime       difftime    gmtime      localtime
 mktime      stime       strftime    _strdate    _strtime    time
 tzset

 CLK_TCK     clock_t     daylight    size_t      time_t      timezone
 tm          tzname
