import java.io.*; // tarvitaan tietojen syttn

/**
 * Jarj3a.java
 * Ohjelma jrjest kolme merkkijonoa aakkosjrjestykseen
 *
 * @author Miika Nurminen
 * @version 0.1 01/20/03
 */
public class Jarj3a {

  /**
   * Vaihtaa kaksi merkkijonoa keskenn.
   *
   * @param a ensimminen vaihdettavista merkkijonoista.
   * @param b toinen vaihdettavista merkkijonoista.
   */
  public static void vaihda(StringBuffer a,StringBuffer b) {
    String t;
    t = new String(a.toString());
    a.delete(0,a.length());
    a.append(b);
    b.delete(0,b.length());
    b.append(t);
  }

  /**
   * Kysyy kyttjlt merkkijonon annetulla tulosteella.
   *
   * @param prompt lause, joka kyttj nkee ennen tietojen sytt
   * @return kyttjn syttm merkkijono ilman rivinvaihtoa
   */
  public static StringBuffer kysy(String prompt) {
      System.out.print(prompt);
      StringBuffer result = new StringBuffer();

      // Syttpyynt ja vastauksen lukeminen
      BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
      try {
          result.append(in.readLine());
      } catch (IOException ex) {

      }
      return result;
  }

  /**
   * Pohjelma
   * @param args Komentorivill annetut parametetrit
   */
  public static void main(String[] args) {
    StringBuffer s1,s2,s3;

    s1 = kysy("Anna 1. merkkijono >");
    s2 = kysy("Anna 2. merkkijono >");
    s3 = kysy("Anna 3. merkkijono >");

    if ( s1.toString().compareTo(s2.toString())>0 ) vaihda(s1,s2);
    if ( s1.toString().compareTo(s3.toString())>0 ) vaihda(s1,s3);
    if ( s2.toString().compareTo(s3.toString())>0 ) vaihda(s2,s3);

    System.out.println("Jonot: "+s1+", "+s2+", "+s3+".");
  }

}
