package graphics;

import fi.jyu.mit.graphics.*;
import static java.lang.Math.*; 


/**
 * Esimerkki 3D-pinnan piirtmisest.
 * Piirt monta rinnakkaista sin-kyr ja pyritt kuvaa.
 * @author vesal
 */
public class FunctionR2Sample {
    /** @param args ei kytss */
    public static void main(String[] args) {
        EasyWindow window = new EasyWindow(800,800);
        window.scale(-9,-9,9,9);
        window.addAxis(15, 15, 15);
        window.add((x,y)->sin(x)*cos(y),-2*PI,-2*PI,2*PI,2*PI);  
        window.rotate(Axis.X, 50);
        window.rotate(Axis.Y, 20);
    }

}
