package oliot.muut;

/**
 * KoiraP-luokka peritty elimest ja esimerkki polymorfismista
 * @author Vesa Lappalainen
 * @version 1.0, 06.02.2003
 *
*/
public class KoiraP extends Elain {

    int hannanpituus = 20;


    /**
     * @param nimi koiran nimi
     * @param paino koiran paino
     */
    public KoiraP(String nimi, double paino) {
        super(nimi, paino);
    }


    /**
     * @see Elain#aantele()
     */
    @Override
    public void aantele() {
        System.out.println("Hau hau");
    }


    /**
     * miten koira puree
     */
    public void pure() {
        System.out.println("naps");
    }


    /**
     * Testatan polymorfimisia
     * @param args ei kytss
     */
    public static void main(String[] args) {

        KoiraP musti = new KoiraP("Musti", 18000);
        // musti.aantele();
        // musti.tulosta();

        KoiraP pluto = new KoiraP("Pluto", 1930);
        // pluto.aantele();
        // pluto.tulosta();

        pluto.pure();

        Elain elukat[] = new Elain[4];
        // Elain elukat2[] = { musti, pluto, new KissaP("Isokissa",23000) };
        elukat[0] = musti;
        elukat[1] = new KissaP("Mirri", 18000);
        elukat[2] = pluto;
        elukat[3] = new KissaP("Miuku", 980);

        for (int i = 0; i < elukat.length; i++) {
            elukat[i].aantele();
            elukat[i].tulosta();
            // elukat[i].pure();
        }

    }
}
