<?xml version="1.0" encoding="iso-8859-1"?>
<!--
openofficen html:st siistityksi www-sivuksi

Miika Nurminen, 27.8.2009
-->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:h="http://www.w3.org/1999/xhtml"
   xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="h">
<xsl:import href="mjonot.xsl" />
<xsl:strip-space elements="*" />  
<xsl:preserve-space elements="h:pre" />  

  <!-- mozilla doesn't parse method xhtml (in xslt 2.0) -->
  <xsl:output method="xml"
  version="1.0"
  encoding="ISO-8859-1"
  omit-xml-declaration="no"
  indent="yes"
  doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
  />


<!-- special chars conversion needed for ie 6 (esim. vliviiva: Esimerkki piirtmisest Jyvskyln yliopiston Graphics-kirjastolla)-->  
<!--
<xsl:template match="text()" name="text"> 
<xsl:param name="s" select="string(.)" />
<xsl:call-template name="replace_group">
<xsl:with-param name="content" select="$s" />
          <xsl:with-param name="chars" select="document('specialchars.xml')/texchars/char" />
</xsl:call-template>
</xsl:template>
-->

  <xsl:template name="get_pos">
<!--  <xsl:for-each select="$list">POS <xsl:if test="(. = $this)">_<xsl:value-of select="position()" /></xsl:if></xsl:for-each>-->
<xsl:param name="id" select="@name" />
<xsl:variable name="counter" select="
  count(preceding::h:a[@name=$id])+
  count(ancestor::h:a[@name=$id])" />
    <xsl:if test="$counter &gt; 0">_<xsl:value-of select="$counter+1" /></xsl:if>
  </xsl:template>

<xsl:template name="fix_id">
<xsl:param name="s" select="string(.)" />
<xsl:if test="string-length($s) &gt; 0"><xsl:variable name="out"><xsl:call-template name="replace_group">
<xsl:with-param name="content" select="$s" />
                <xsl:with-param name="chars" select="document('idchars.xml')/idchars/char" />
</xsl:call-template><xsl:call-template name="get_pos"><xsl:with-param name="id" select="$s" /></xsl:call-template></xsl:variable><xsl:call-template name="append_end_if_nonempty_nonalpha">
  <xsl:with-param name="str" select="$out"/>
  <xsl:with-param name="toappend" select="'o'"/>
  </xsl:call-template></xsl:if>
</xsl:template>
  
<!-- bad copy/paste -->
<xsl:template name="fix_id_nopos">
<xsl:param name="s" select="string(.)" />
<xsl:if test="string-length($s) &gt; 0"><xsl:variable name="out"><xsl:call-template name="replace_group">
<xsl:with-param name="content" select="$s" />
                <xsl:with-param name="chars" select="document('idchars.xml')/idchars/char" />
</xsl:call-template></xsl:variable><xsl:call-template name="append_end_if_nonempty_nonalpha">
  <xsl:with-param name="str" select="$out"/>
  <xsl:with-param name="toappend" select="'o'"/>
  </xsl:call-template></xsl:if>
</xsl:template>
  
</xsl:stylesheet>