<?xml version="1.0" encoding="iso-8859-1"?>
<!--
sisltkorjauksia www-monisteeseen. 
ajetaan ennen varsinaisia rakenteellisia korjauksia (wordfixer)
Miika Nurminen, 7.1.2012
-->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:h="http://www.w3.org/1999/xhtml">
<xsl:strip-space elements="*" /> 
<xsl:preserve-space elements="h:a h:font h:p h:pre h:span" />

  <!-- mozilla doesn't parse method xhtml (in xslt 2.0) -->
  <xsl:output method="xml"
  version="1.0"
  encoding="ISO-8859-1"
  omit-xml-declaration="no"
  indent="no"
  doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
  />

  <!-- templates.xml:n sisll oleva taulukkko -->
  <xsl:template match="h:block/*">
 <xsl:copy><xsl:apply-templates select="node()|@*"/>
   </xsl:copy>
  </xsl:template>
<!-- kopioidaan erikseen mritelty koodi etusivulle ja loppuun. -->
 <xsl:template match="h:table">
 <xsl:choose>
 <xsl:when test="count(preceding::h:table)=0">
      <!--<xsl:copy>--><!-- /h:table/node()|@* -->
    <xsl:apply-templates select="document('templates.xml')/h:templates/h:block[@name='header']/h:table"/>
   <!--</xsl:copy>-->
 </xsl:when>
 <xsl:when test="count(following::h:table)=1">
    <!--<xsl:copy>-->
    <xsl:apply-templates select="document('templates.xml')/h:templates/h:block[@name='footer']/h:table"/>
   <!--</xsl:copy>-->
 </xsl:when>
 <xsl:otherwise>
   <xsl:copy><xsl:apply-templates select="node()|@*"/>
   </xsl:copy>
 </xsl:otherwise>
 </xsl:choose>
 </xsl:template>
 
 <!-- identity transform -->
 <xsl:template match="node()|@*">
   <xsl:copy><xsl:apply-templates select="node()|@*"/>
   </xsl:copy>
 </xsl:template>  
 

</xsl:stylesheet>