package fi.jyu.mit.gui;

/**
 * Rajapinta Tablen editoinnin kuuntelijoille
 * @author vesal
 * @version 24.4.2011
 */
public interface TableEditListener {

    /**
     * Metodi jota kutsutaan kun editointia tapahtuu
     * @param sender olio jossa muutos tapahtui
     * @param row modelin rivi jossa muutos tapahtui
     * @param column modelin sarake jossa muutos tapahtui
     * @param s arvo joksi on muuttumassa
     * @return null jos editointi ok, muuten virheilmoitus
     */
    public String tableEdit(IStringTable sender, int row, int column, Object s);

}
