package fi.jyu.mit.gui;

/**
 * Rajapinta Tablen editoinnin kuuntelijoille
 * @author vesal
 * @version 24.4.2011
 */
public interface TableErrorListener {

    /**
     * Metodi jota kutsutaan jos taulukon muokkauksessa tulee virhe
     * @param sender olio jossa muutos tapahtui
     * @param row modelin rivi jossa muutos tapahtui
     * @param column modelin sarake jossa muutos tapahtui
     * @param virhe joka tulostetaan (null = ei virhett, pyyhi vanhan ilmoitus pois)
     */
    public void tableError(IStringTable sender, int row, int column, String virhe);

}
