package fi.jyu.mit.gui;

import javax.swing.table.DefaultTableCellRenderer;

/**
 * Rajapinta Tablen taulukon muotoilijan pyytmiselle
 * @author vesal
 * @version 24.4.2011
 */
public interface TableRendererListener {

    /**
     * Metodi jota kutsutaan kun kun halutaan muotoilija taulukon solulle.
     * Voidaan muuttaa parametrina tuodun arvoja tai palauttaa ihan uusi
     * muotoilija jos halutaan.
     * @param sender taulukko jonka solun muotoilijaa halutaan
     * @param renderer muotoilija jota ehdotetaan kytettvksi
     * @param row modelin rivi jossa muutos tapahtui
     * @param column modelin sarake jossa muutos tapahtui
     * @return null jos editointi ok, muuten virheilmoitus
     */
    public DefaultTableCellRenderer tableRenderer(IStringTable sender, DefaultTableCellRenderer renderer, int row, int column);

}
