package fi.jyu.mit.gui;

/**
 * Rajapinta Tablen arvon pyyntmisen kuuntelijoille
 * @author vesal
 * @version 24.4.2011
 */
public interface TableValueListener {

    /**
     * Metodi jota kutsutaan kun kun halutaan taulukon jonkin solun arvo
     * @param sender taulukko jonka solun arvoa halutaan
     * @param row modelin rivi jossa muutos tapahtui
     * @param column modelin sarake jossa muutos tapahtui
     * @return null jos editointi ok, muuten virheilmoitus
     */
    public Object tableValue(IStringTable sender, int row, int column);

}
