/**
 * Kissa-luokka
 * @author Vesa Lappalainen
 * @version 1.0, 06.02.2003
 *
*/
public class Kissa {
  private String nimi;
  private double paino;

  /**
   * Alustetaan kissan nimi ja paino
   * @param nimi
   * @param paino
   */
  public Kissa(String nimi, double paino) {
    this.nimi = nimi; this.paino = paino;
  }

  
  /**
   * nnelln kuten kissa
   */
  public void aantele() {
    System.out.println("Miuaaa");
  }

  
  /**
   * Tulostetaan kissan tiedot
   */
  public void tulosta() {
    System.out.println("Olen :" + nimi + " painan: " + paino + " grammaa");
  }

  
  /**
   * Testataan Kissa-luokkaa
   * @param args ei kytss
   */
  public static void main(String[] args) {

     Kissa miuku = new Kissa("Miuku",18000);
     miuku.aantele();
     miuku.tulosta();

     Kissa mirri = new Kissa("Mirri",930);
     mirri.aantele();
     mirri.tulosta();
  }

}
