package huone;
import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

/**
 * Testataan Asunto-luokan toimintaa
 * @author Vesa Lappalainen 
 * @version 21.2.2007
 */
public class Asunto2Test {

  Asunto2 kaksio = new Asunto2(
      new Huone2("olohuone",3,4,2,0),
      new Huone2("makuuhuone",3,3,2,0)
  );

  @Before
  public void setUp() throws Exception {
    kaksio.kaapitPois();
  }

  @Test
  public void testAla() {
    assertEquals("Ala: ", 21.0, kaksio.ala(),0.1);
  }

  @Test
  public void testTilavuus() {
    assertEquals("Tilavuus: ", 42.0, kaksio.tilavuus(),0.1);
  }

  @Test
  public void testLisaa_kaappeja() {
    assertEquals("Kaappeja: ", 0, kaksio.getKaappeja());
    kaksio.lisaaKaappeja();
    assertEquals("Kaappeja: ", 1, kaksio.getKaappeja());
    kaksio.lisaaKaappeja();
    assertEquals("Kaappeja: ", 2, kaksio.getKaappeja());
  }

}
