package tietokannat;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * Esimerkki miten tietoja muutetaan
 * @author vesal
 * @version 4.4.2015
 *
 */
public class TietojenMuuttaminen {

    /**
     * Muutetaan Sepe Suden (id=2) osoitetta  
     * @param args ei kytss
     */
    public static void main(String[] args) {
        String tiedNimi = "kerhomalli.db";
        int hakuehto = 2;
        String uusiosoite = "Susikuja 8";        
        
        try ( Connection con = DriverManager.getConnection("jdbc:sqlite:" + tiedNimi);
              PreparedStatement sql = con.prepareStatement("UPDATE Jasenet SET katuosoite=? where jasenID = ?")) {
            sql.setString(1, uusiosoite);
            sql.setInt(2, hakuehto);
            int n = sql.executeUpdate();
            System.out.println("Muutettujen rivien mr " + n);
            TietojenHaku.main(new String[]{"%","nimi"});
        } catch (SQLException e) {
            System.err.println("Virhe: " + e.getMessage());
        }
    }
}
