<?php
/**
 * general-purpose functions for Xoo
 * note! this script is duplicated in skriptit & hallinta - keep in sync!
 */

//xoo-specific

function get_current_variant() {
// getting current file name, see http://www.plus2net.com/php_tutorial/script-self.php
  $file = $_SERVER["SCRIPT_NAME"];
  $break = Explode('/', $file);
//  $pfile = $break[count($break) - 1];
//see: http://www.faqts.com/knowledge_base/view.phtml/aid/4179/fid/51
//echo "variant ".$file;//$break[count($break) - 3];
  return $break[count($break) - 3]; //-2: htmlprvev, -1: index.php
}

function get_empty_luku() {
  global $xmlscriptdir;
  return "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>
  <!DOCTYPE luku SYSTEM \"".$xmlscriptdir."luku.dtd\">
  <?xml-stylesheet type=\"text/xsl\" href=\"".$xmlscriptdir."luku2html.xsl\"?>
  <luku xmlns=\"http://opinto-opas.jyu.fi/xoo/\" id=\"\" xml:lang=\"fi\">
    <dokutieto xml:lang=\"fi\">
    <versio tila=\"Raakateksti\">
      <doku_nimi></doku_nimi>
      <laatimis_pvm>
        <paivamaara></paivamaara>
        <kuukausi></kuukausi>
        <vuosi></vuosi>
      </laatimis_pvm>
      <laatija>
        <etunimi></etunimi>
        <sukunimi></sukunimi>
      </laatija>
      <historia><muutokset/></historia>
    </versio>
    </dokutieto>
    <otsikko></otsikko>
    <kappale></kappale>
  </luku>";
}

// huom. aiheuttaa noticen, jos muuttujaa ei ole mritelty
function get_global_http_var( $key ) {
  global $HTTP_GET_VARS,$HTTP_POST_VARS,$_GET,$_POST;
  $key = strtolower($key);
  $s="";
  if (isset($HTTP_GET_VARS)) $s = $HTTP_GET_VARS[$key];
  if (strlen($s)==0) if (isset($HTTP_POST_VARS)) $s=$HTTP_POST_VARS[$key];
  if (strlen($s)==0) $s=$_GET[$key];
  if (strlen($s)==0) $s=$_POST[$key];
  return filter_magic_quotes($s);
}

//see: http://www.faqts.com/knowledge_base/view.phtml/aid/4179/fid/51
function generic_showfile($file) {
// Pragma: public is needed for IE for returning pdfs from https
header("Pragma: public"); 

  $localfile = substr($file,strrpos($file,'/')); #+1
  if (strripos($localfile,'.zip')==strlen($localfile)-4) header("Content-Disposition: attachment; filename=\"".$localfile."\"");
  else {
    header("Content-Disposition: inline; filename=\"".$localfile."\"");
    }
  header("Content-Length: ".filesize($file));
  
  // this seems to prevent caching when reloading pdf with same url
  // see also: http://fi.php.net/session_cache_limiter
  header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0'); 
  
//  header("Cache-control: private, no-cache");
//  header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
 header("Expires: " . gmdate("D, d M Y H:i:s", time() + 1) . " GMT");
 //header("Pragma: no-cache");

  if (strripos($localfile,'.pdf')==strlen($localfile)-4) header("Content-Type: application/pdf");
  else if (strripos($localfile,'.ppt')==strlen($localfile)-4) header("Content-Type: application/vnd.ms-powerpoint");
  // huom. html-sivut eivt toimi. template poistettu kytst
  else if (strpos($localfile,'.html')===FALSE) header("Content-Type: ".mime_content_type($file));
  //php is shown erroneously with frames if type is sent explicitly (try opening section from left menu in htmlwork)

  readfile($file);
  return;
}

function generic_handle_output($filename, $output) {
	$fh = fopen($filename,'w');
	if ($fh) {
	foreach($output as $outputline){
	    fwrite($fh,$outputline);
	   fwrite($fh,"\n");
	}
	  }
	fclose($fh);
	chmod($filename,0666);
}



// logging-specific

function print_error($message,$logloc) {
?>
   <p class="huomautus"><b><?php echo $message; ?></b></p>
<?php
   print_log($logloc);
}

function print_log($logloc) {
?>
   <p>Tarkista <a href="<?php echo $logloc; ?>">loki</a>.</p>
<?php
}


//from: http://randomchaos.com/documents/?source=php_and_unicode
    function utf8_to_unicode( $str ) {
        $unicode = array();
        $values = array();
        $lookingFor = 1;

        for ($i = 0; $i < strlen( $str ); $i++ ) {
            $thisValue = ord( $str[ $i ] );
            if ( $thisValue < 128 ) $unicode[] = $thisValue;
            else {
                if ( count( $values ) == 0 ) $lookingFor = ( $thisValue < 224 ) ? 2 : 3;
                $values[] = $thisValue;
                if ( count( $values ) == $lookingFor ) {
                    $number = ( $lookingFor == 3 ) ?
                        ( ( $values[0] % 16 ) * 4096 ) + ( ( $values[1] % 64 ) * 64 ) + ( $values[2] % 64 ):
                    	( ( $values[0] % 32 ) * 64 ) + ( $values[1] % 64 );
                    $unicode[] = $number;
                    $values = array();
                    $lookingFor = 1;
                } // if
            } // if
        } // for
        return $unicode;
    } // utf8_to_unicode


    function unicode_to_entities_preserving_latin1( $unicode ) {
        $entities = '';
        foreach( $unicode as $value ) {
            $entities .= ( $value > 255 ) ? '&#' . $value . ';' : chr( $value );
        } //foreach
        return $entities;
    } // unicode_to_entities_preserving_ascii


/**
 * relative path from: http://fi2.php.net/manual/en/function.realpath.php#82667
 *  functions to get the relative path between two directories:
 * - clean_path() -> replace / or \ with the correct directory separator etc.
 * - absolute_path() -> get absolute path of the given path (actually the same as realpath(), but using clean_path() to f.e. add a directory separator at the end if the path isn't a file)
 * - relative_path() -> get relative path from one to another path
 */
define('DIR_DELIM',DIRECTORY_SEPARATOR); // in case you'd like to change it. Easier to define a constant instead of including a parameter in each function for the directory separator

function clean_path($path) {
  $path = str_replace(array('/','\\'),DIR_DELIM,$path);
  $path = preg_replace('/[' . preg_quote(DIR_DELIM,DIR_DELIM) . ']{2,}/',DIR_DELIM,$path);
  return substr($path,-1) != DIR_DELIM ? $path . DIR_DELIM : $path;
}

function absolute_path($path) {
  $filename = '';
  if (is_file($path)) {
    $filename = basename($path);
    $path = dirname($path);
  }
  return clean_path(realpath($path)) . $filename;
}

function relative_path($path,$source = null) {
  $filename = '';
  if (is_file($path)) {
    $filename = basename($path);
    $path = dirname($path);
  }

  $path = absolute_path($path);
  $source = absolute_path(is_null($source) ? '.' : $source);

  if ($path == $source)
    return '.' . DIR_DELIM . $filename;

  $path_dirs = explode(DIR_DELIM,substr($path,0,-1));
  $source_dirs = explode(DIR_DELIM,substr($source,0,-1));

  for ($i = 0; $i < min(count($path_dirs),count($source_dirs)); $i++)
    if ($path_dirs[$i] != $source_dirs[$i])
      break;

  if ($i == 0)
    return false;

  $relative_path = str_repeat('..' . DIR_DELIM,count($source_dirs) - $i);
  $same_path = implode(DIR_DELIM,array_splice($path_dirs,0,$i));

  if ($same_path != '' && strpos($path,$same_path) === 0)
    $path = substr($path,strlen($same_path) + 1);

  return $relative_path . ($path == DIR_DELIM ? '' : $path) . $filename;
}

?>