package fi.jyu.mit.gui;

/**
 * Rajapinta taulukon tarkistimelle
 * @author vesal
 * @version 24.4.2011
 *
 */
interface ICTable {

    /**
     * Tarkistaa onko s oikeata muotoa laitettavaksi paikalleen taulukkoon
     * @param row  rivi, johon s kuuluu
     * @param column sarake johon s kuuluu
     * @param s olion uusi arvo
     * @return null = ok, muuten virheilmoitus
     */
    public abstract String checkAttribute(int row, int column, Object s);

    /**
     * Asetetaan virhe olion s takia
     * @param row    milt rivilt virhe tuli
     * @param column mist sarakkeesta virhe tuli
     * @param virhe virheen teksti
     */
    public abstract void setError(int row, int column, String virhe);

    /**
     * @return muuttaako editori taulukon arvoja vai malli suoraan
     */
    public abstract boolean isEditorSetValues();

    /**
     * @param value muuttaako cell editor suoraan taulukon arvoja vai ei
     */
    void setEditorSetValues(boolean value);
}