/**
 * 
 */
package fi.jyu.mit.gui.example;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.EventQueue;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import fi.jyu.mit.gui.ObjectTable;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.table.DefaultTableModel;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 *
 * @author vesal
 * @version 5.4.2011
 */
public class ObjectTableExample extends JFrame {

    /**  */
    private static final long serialVersionUID = 1L;
    private JPanel contentPane;
    private final ObjectTable table = new ObjectTable();
    private final JPanel panel = new JPanel();
    private final JTextField textUusi = new JTextField();
    private final JButton buttonLisaa = new JButton("Lis\u00E4\u00E4 teksti");


    /**
     * Launch the application.
     * @param args ei kytss
     */
    public static void main(String[] args) {
        EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                try {
                    ObjectTableExample frame = new ObjectTableExample();
                    frame.setVisible(true);
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }


    /**
     * Create the frame.
     */
    public ObjectTableExample() {
        textUusi.setText("Kissa");
        textUusi.setColumns(10);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setBounds(100, 100, 497, 432);
        contentPane = new JPanel();
        contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
        contentPane.setLayout(new BorderLayout(0, 0));
        setContentPane(contentPane);
        table.getTable().setModel(new DefaultTableModel(
            new Object[][] {
                {null, null, null},
                {null, null, new Integer(2)},
                {null, "aaa", new Integer(2)},
                {null, null, new String("kana")},
            },
            new String[] {
                "Nimi", "Vuosi", "New column"
            }
        ) {
            /**  */
            private static final long serialVersionUID = 1L;
            @SuppressWarnings("rawtypes")
            Class[] columnTypes = new Class[] {
                String.class, Object.class, Integer.class
            };
            @Override
            @SuppressWarnings({ "unchecked", "rawtypes" })
            public Class getColumnClass(int columnIndex) {
                return columnTypes[columnIndex];
            }
        });
        
        contentPane.add(table, BorderLayout.CENTER);
        
        table.add(panel, BorderLayout.SOUTH);
        
        panel.add(textUusi);
        buttonLisaa.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent arg0) {
                lisaa();
            }
        });
        
        panel.add(buttonLisaa);
    }

    int r = 0;
    
    /**
     * Lis yhden alkion
     */
    public void lisaa() {
        table.setValueAt(textUusi.getText(),r,2);
        table.setCellColor(r++, 2, Color.RED);
        if ( r >= table.getRowCount() ) r = 0;
    }
}
